> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a PDF risk-assessment (EBR) report for a transaction



## OpenAPI

````yaml /openapi/transactions.json post /transactions/ebr-report
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /transactions/ebr-report:
    post:
      tags:
        - Transactions
      summary: Generate a PDF risk-assessment (EBR) report for a transaction
      operationId: transactions.generateEbrReport
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                subjectId:
                  type: string
                  format: uuid
                assessmentName:
                  type: string
                  minLength: 1
                snapshotIndex:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
              required:
                - subjectId
                - assessmentName
              additionalProperties: false
              description: Generate a PDF risk-assessment (EBR) report for one snapshot.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  documentId:
                    type: string
                    format: uuid
                  filename:
                    type: string
                    minLength: 1
                  downloadUrl:
                    type: string
                    format: uri
                required:
                  - documentId
                  - filename
                  - downloadUrl
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````